
extern "C" 
{

//------------------------------------------------------------------------------------
// irr::scene::SSharedMeshBuffer wrappers
//------------------------------------------------------------------------------------

/*
	SSharedMeshBuffer* IrrScene_SSharedMeshBuffer_new()
	{
		return new SSharedMeshBuffer();
	}
	
	SSharedMeshBuffer* IrrScene_SSharedMeshBuffer_newFromVertices(S3DVertex** vertices, u32 numVertices)
	{
		array<S3DVertex> vertices_array(numVertices);
		for (int i=0; i<numVertices; i++) {	
			vertices_array[i]=*vertices[i];
		}
		
		return new SSharedMeshBuffer(&vertices_array);
	}	
*/
}
